#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk    #imports the entire Tk package
from tkinter import ttk #import the ttk to create the treeview

class Application(tk.Frame): # App class inherits from Frame class
    def __init__(self, master=None):
        tk.Frame.__init__(self, master) # Calls constructor for the parent class
        # Make the app appear on the screen
        self.pack(fill="both", expand=1) 
        self.createWidgets()
        self.master.minsize(800, 500)
        
    def createWidgets(self):
        self.style = ttk.Style()
        print(self.style.theme_names())
        print("Switching from {}".format(self.style.theme_use()))        
        self.style.theme_use("winnative")
        print("to {}".format(self.style.theme_use())) 
        # works for winnative, clam, alt, classic, default
        # doesn't work for vista and xpnative
        # also note that this setting will affect the rest of your UI look
         
        self.style.map('tmp.TCombobox', fieldbackground=[('readonly', 'cyan')])
        
        ## combobox tkk        
        self.combox = ttk.Combobox(self, width=60, style="tmp.TCombobox", values=["Alphabetical, considering accents", "Order by name"])
        self.combox['state'] = 'readonly'
        self.combox.grid(row=0, column=0, sticky='w', padx=(40, 0))
        self.combox.current(0)
      
        
root = tk.Tk()
app = Application(master=root) # Instantiating the App class
app.master.title("Configuration") # Sets the title of the window
app.mainloop() # Starts the app's main loop; waiting for mouse and keyboard events
