#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk
import tkinter.font as tkf
import tkinter.ttk as ttk

white="#ffffff"
blue="#0063B1"
lightBlue="#1972B9"
ultraLightBlue="#BAD4EA"
gray="#1F1F1F"
lightGray="#353535"

def focusInSearchHint(event):
  if event.widget.get() == "Search":
     event.widget.delete(0, 'end')

def focusOutSearchHint(event):
  if event.widget.get() == "":
     event.widget.insert(0, "Search")

root = tk.Tk()

icons = tkf.Font(family='Segoe MDL2 Assets', size=13, weight='normal')
iconsBig = tkf.Font(family='Segoe MDL2 Assets', size=16, weight='normal')
fontNormal = tkf.Font(family='Segoe UI', size=11, weight='normal')
fontLarge = tkf.Font(family='Segoe UI Light', size=30, weight='normal')
fontExtraLarge = tkf.Font(family='Segoe UI Light', size=70, weight='normal')
fontLink = tkf.Font(family='Segoe UI', size=11, weight='normal', underline=True)
fontNormalBig = tkf.Font(family='Segoe UI', size=16, weight='normal')
fontLight = tkf.Font(family='Segoe UI Light', size=11, weight='normal')
fontSemibold = tkf.Font(family='Segoe UI Semibold', size=11, weight='normal')
fontSmallSemibold = tkf.Font(family='Segoe UI Semibold', size=10, weight='normal')
fontSmallBold = tkf.Font(family='Segoe UI Black', size=10, weight='normal')
fontBold = tkf.Font(family='Segoe UI Black', size=11, weight='normal')


frmTopRight = tk.Frame(root, bg=lightBlue, highlightbackground=blue, highlightcolor=blue, highlightthickness=4)
frmTopRight.pack(side=tk.RIGHT)

# first test search field
entSearch = tk.Entry(frmTopRight, width=30, bg=lightBlue, fg=ultraLightBlue, relief=tk.FLAT, font=fontNormal)
entSearch.bind("<FocusIn>", focusInSearchHint)  
entSearch.bind("<FocusOut>", focusOutSearchHint)
entSearch.insert(0, "Search")
entSearch.pack(side=tk.LEFT, padx=8)
lblSearch = tk.Label(frmTopRight, text="\ue721", font=iconsBig, bg=lightBlue, fg=white)
lblSearch.pack(side=tk.LEFT, padx=8, pady=8)

# second test search field
entSearch2 = tk.Entry(frmTopRight, width=30, bg=lightBlue, fg=ultraLightBlue, relief=tk.FLAT, font=fontNormal)
entSearch2.bind("<FocusIn>", focusInSearchHint)
entSearch2.bind("<FocusOut>", focusOutSearchHint)  
entSearch2.insert(0, "Search")
entSearch2.pack(side=tk.LEFT, padx=8)
lblSearch2 = tk.Label(frmTopRight, text="\ue721", font=iconsBig, bg=lightBlue, fg=white)
lblSearch2.pack(side=tk.LEFT, padx=8, pady=8)


root.mainloop()
