#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk
import tkinter.font as tkf
import tkinter.ttk as ttk
#from tkinter import Tk, Label 
#from tkinter import *
#from tkinter import font

white="#ffffff"
blue="#0063B1"
lightBlue="#1972B9"
ultraLightBlue="#BAD4EA"
gray="#1F1F1F"
lightGray="#353535"

root = tk.Tk()
root.title("Weather")
#root.wm_overrideredirect(True)

icons = tkf.Font(family='Segoe MDL2 Assets', size=13, weight='normal')
iconsBig = tkf.Font(family='Segoe MDL2 Assets', size=16, weight='normal')
fontNormal = tkf.Font(family='Segoe UI', size=11, weight='normal', )
fontLight = tkf.Font(family='Segoe UI Light', size=11, weight='normal', )
fontSemibold = tkf.Font(family='Segoe UI Semibold', size=11, weight='normal', )
fontBold = tkf.Font(family='Segoe UI Black', size=11, weight='normal')

# left frame
frmLeft = tk.Frame(root, bg=gray)
frmLeft.pack(side=tk.LEFT, fill=tk.Y)

lblNavigation = tk.Label(frmLeft, text="\ue700", font=iconsBig, bg=blue, fg=white)
lblNavigation.bind("<Enter>", lambda event, h=lblNavigation: h.configure(bg=lightBlue))
lblNavigation.bind("<Leave>", lambda event, h=lblNavigation: h.configure(bg=blue))
lblNavigation.pack(ipadx=12, ipady=12)

lblHouse = tk.Label(frmLeft, text="\ue80f", font=icons, bg=gray, fg=white)
lblHouse.bind("<Enter>", lambda event, h=lblHouse: h.configure(bg=lightGray))
lblHouse.bind("<Leave>", lambda event, h=lblHouse: h.configure(bg=gray))
lblHouse.pack(ipadx=14, ipady=12)

lblHistory = tk.Label(frmLeft, text="\ue7bc", font=icons, bg=gray, fg=white)
lblHistory.bind("<Enter>", lambda event, h=lblHistory: h.configure(bg=lightGray))
lblHistory.bind("<Leave>", lambda event, h=lblHistory: h.configure(bg=gray))
lblHistory.pack(ipadx=14, ipady=12)

lblFavoriteList = tk.Label(frmLeft, text="\ue728", font=icons, bg=gray, fg=white)
lblFavoriteList.bind("<Enter>", lambda event, h=lblFavoriteList: h.configure(bg=lightGray))
lblFavoriteList.bind("<Leave>", lambda event, h=lblFavoriteList: h.configure(bg=gray))
lblFavoriteList.pack(ipadx=14, ipady=12)

lblEmoji2 = tk.Label(frmLeft, text="\ue76e", font=icons, bg=gray, fg=white)
lblEmoji2.bind("<Enter>", lambda event, h=lblEmoji2: h.configure(bg=lightGray))
lblEmoji2.bind("<Leave>", lambda event, h=lblEmoji2: h.configure(bg=gray))
lblEmoji2.pack(ipadx=14, ipady=12)


lblSettings = tk.Label(frmLeft, text="\ue713", font=icons, bg=gray, fg=white)
lblSettings.pack(side=tk.BOTTOM, ipadx=14, ipady=12)
lblSettings.bind("<Enter>", lambda event, h=lblSettings: h.configure(bg=lightGray))
lblSettings.bind("<Leave>", lambda event, h=lblSettings: h.configure(bg=gray))

lblAddFriend = tk.Label(frmLeft, text="\ue8fa", font=icons, bg=gray, fg=white)
lblAddFriend.pack(side=tk.BOTTOM, ipadx=14, ipady=12)
lblAddFriend.bind("<Enter>", lambda event, h=lblAddFriend: h.configure(bg=lightGray))
lblAddFriend.bind("<Leave>", lambda event, h=lblAddFriend: h.configure(bg=gray))

ttk.Separator(frmLeft).pack(side=tk.BOTTOM, fill=tk.X)

# top frame
frmTop = tk.Frame(root, bg=blue)
frmTop.pack(fill=tk.X)

frmTop2 = tk.Frame(root, bg="#F2F2F2")
frmTop2.pack(fill=tk.X, padx=14)

lblTitle = tk.Label(frmTop, text="Forecast", font=fontBold, bg=blue, fg=white)
lblTitle.pack(side=tk.LEFT, padx=24, pady=13, anchor=tk.W)

# top right frame
frmTopRight = tk.Frame(frmTop, bg=lightBlue, highlightbackground=blue, highlightcolor=blue, highlightthickness=4)
frmTopRight.pack(side=tk.RIGHT)
entSearch = tk.Entry(frmTopRight, width=30, bg=lightBlue, fg=ultraLightBlue, relief=tk.FLAT, font=fontNormal)
entSearch.insert(0, "Search")
entSearch.pack(side=tk.LEFT, padx=8)
lblSearch = tk.Label(frmTopRight, text="\ue721", font=iconsBig, bg=lightBlue, fg=white)
lblSearch.pack(side=tk.LEFT, padx=8, pady=8)

# top center frame
frmTopCenter = tk.Frame(frmTop, bg="gray80")
frmTopCenter.pack(side=tk.RIGHT)

lblRepeatAll = tk.Label(frmTopCenter, text="\ue8ee", font=iconsBig, bg=blue, fg=white)
lblRepeatAll.pack(side=tk.LEFT, ipadx=20, ipady=12)
lblRepeatAll.bind("<Enter>", lambda event, h=lblRepeatAll: h.configure(bg=lightBlue))
lblRepeatAll.bind("<Leave>", lambda event, h=lblRepeatAll: h.configure(bg=blue))

lblFavoriteStar = tk.Label(frmTopCenter, text="\ue734", font=iconsBig, bg=blue, fg=white)
lblFavoriteStar.pack(side=tk.LEFT, ipadx=20, ipady=12)

lblPin = tk.Label(frmTopCenter, text="\ue718", font=iconsBig, bg=blue, fg=white)
lblPin.pack(side=tk.LEFT, ipadx=20, ipady=12)

lblBrightness = tk.Label(frmTopCenter, text="\ue706", font=iconsBig, bg=blue, fg=white)
lblBrightness.pack(side=tk.LEFT, ipadx=20, ipady=12)

lblMore = tk.Label(frmTopCenter, text="\ue712", font=iconsBig, bg=blue, fg=white)
lblMore.pack(side=tk.LEFT, ipadx=20, ipady=12)


# center frame
frmCenter = tk.Frame(root, bg="#3272B0", relief=tk.FLAT)
frmCenter.pack(fill=tk.BOTH, expand=tk.YES)
"""
canvas = tk.Canvas(frmCenter, width = 300, height = 200, bg = frmCenter["bg"], relief=tk.FLAT, bd=0)
canvas.pack(expand=tk.YES, fill=tk.BOTH)
gif1 = tk.PhotoImage(file='weather.gif')
canvas.create_image(0, 0, image = gif1, anchor = tk.NW)
"""

# --- Settings Pane -------------------------------------------------------------
frmTop["bg"]="#F2F2F2"
lblTitle["text"]="Settings"
lblTitle.configure(text="Settings", fg="black", bg=frmTop["bg"])
frmTopCenter.pack_forget()
frmTopRight.pack_forget()

lbls = []
for label in ["General", "Terms of use", "About"]:
  lbl = tk.Label(frmTop2, text=label, font=fontLight, bg=frmTop["bg"], fg="black")
  lbl.pack(side=tk.LEFT, padx=12, pady=10, anchor=tk.W)
  lbls.append(lbl)
lbls[0]["font"] = fontSemibold

frmCenter["bg"]="white"

lblOptions = tk.Label(text="")


root.mainloop()
