#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk
from tkinter import ttk

class Application(tk.Frame):
    def __init__(self, master=None):
        tk.Frame.__init__(self, master, bg="white")
        # Make the app appear on the screen
        self.pack(fill="both", expand=1) 
        self.createWidgets()
        self.master.minsize(400, 200)
      
    def createWidgets(self):           
        # custom switch button made by regular button from tk with the aim of two images representing two states of a typical switch         
        self.imgOn = tk.PhotoImage(file="on.gif") # on state image        
        self.imgOff = tk.PhotoImage(file="off.gif") # off state image
        # lambda function controls switching between on and off state based on the hidden text attribute of a regular button widget 
        self.swb = tk.Button(self, text="Off", image=self.imgOff, border=0, command=lambda: self.swb.config(text="Off", image=self.imgOff) if self.swb.config('text')[-1] == 'On' else self.swb.config(text="On", image=self.imgOn))
        self.swb.pack(side=tk.TOP)
        
        print(self.swb.config('text')[-1]) # just to see how to get the current state of the switch


root = tk.Tk()
app = Application(master=root)
app.master.title("Switch button")
app.mainloop()
