#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk

root = tk.Tk()
root.title("Properties/Settings")

frmMain = tk.Frame(root, bg="red")
frmMain.pack(side=tk.TOP, fill=tk.BOTH, expand=tk.YES) 

# begin Editing frame
frmEdit = tk.LabelFrame(frmMain, text="Editing:")
frmEdit.pack(side=tk.TOP, fill=tk.Y)
# row 0
lbl1 = tk.Label(frmEdit, text="Set the number of Undo/Redo steps:")
lbl1.grid(row=0, column=0, sticky=tk.W)

sep = tk.Label(frmEdit, width=1) # auxiliary padding 
sep.grid(row=0, column=1,)

frm1 = tk.Frame(frmEdit)
frm1.grid(row=0, column=2, sticky=tk.W)
ent1Var = tk.StringVar()
ent1Var.set("5")
ent1 = tk.Entry(frm1, textvariable=ent1Var, width=5)
ent1.pack(side=tk.LEFT)
lbl1 = tk.Label(frm1, text="(0 - 20; 0 = disable Undo/Redo)")
lbl1.pack(side=tk.LEFT)
# row 1
frm2 = tk.Frame(frmEdit)
frm2.grid(row=1, column=0, sticky=tk.W)
chk1Var = tk.BooleanVar()
chk1Var.set(False)
chk1 = tk.Checkbutton(frm2, variable=chk1Var, text="Select selection/grid color")
chk1.pack(side=tk.LEFT)
lblColor1 = tk.Label(frm2, width=8, bg="gray", relief=tk.SUNKEN)
lblColor1.pack(side=tk.LEFT)

frm3 = tk.Frame(frmEdit)
frm3.grid(row=1, column=2, sticky=tk.W)
btnChoose1 = tk.Button(frm3, text="Choose")
btnChoose1.pack(side=tk.LEFT)
lbl2 = tk.Label(frm3, text="(selection color is inverted)")
lbl2.pack(side=tk.LEFT)
#row 3
chk2Var = tk.BooleanVar()
chk2Var.set(True)
chk2 = tk.Checkbutton(frmEdit, variable=chk2Var, text="Import palette: Use nearest color")
chk2.grid(row=2, column=0, columnspan=3, sticky=tk.W)
#row 4
chk3Var = tk.BooleanVar()
chk3Var.set(False)
chk3 = tk.Checkbutton(frmEdit, variable=chk3Var, text="Paste into selection: Fit to selection (default: stretch to selection)")
chk3.grid(row=3, column=0, columnspan=3, sticky=tk.W)
# ...
# end Editing frame

root.mainloop()
