#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk
import tkinter.ttk as ttk

root = tk.Tk()
root.title("Configuration")

frmMain = tk.Frame(root)
frmMain.pack(side=tk.TOP, fill=tk.BOTH, expand=tk.YES)

frmLeft = tk.Frame(frmMain) 
frmLeft.pack(side=tk.LEFT, fill=tk.Y, expand=tk.NO)

# begin Menu
menu = ttk.Treeview(frmLeft, show="tree")
menu.pack(side=tk.TOP, fill=tk.X)
menu.insert("", "end", text="Start / Exit options") 
# end Menu

# begin Left buttons
frmLeftBtn = tk.Frame(frmLeft, border=1, relief=tk.SUNKEN) 
frmLeftBtn.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, padx=5, pady=5)
btn1 = tk.Button(frmLeftBtn, text="OK", width=10)
btn1.pack(side=tk.TOP, pady=10)
btn2 = tk.Button(frmLeftBtn, text="Cancel", width=10)
btn2.pack(side=tk.TOP, pady=10)
# end Left buttons

# begin right Frame
frmRight = tk.Frame(frmMain)
frmRight.pack(side=tk.TOP, fill=tk.BOTH, expand=tk.YES)

lblTitle = tk.Label(frmRight, text="Thumbnails", relief=tk.SUNKEN, border=1, height=1)
lblTitle.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, padx=5)

# begin blue Form
frmBlue = tk.Frame(frmRight, bg="blue") 
frmBlue.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, padx=5, pady=5)
# ---
frmBluePink = tk.LabelFrame(frmBlue, text="Full screen/Slideshow display options:")
frmBluePink.pack(side=tk.LEFT, fill=tk.X, expand=tk.NO)
v = tk.IntVar()
rbt1 = tk.Radiobutton(frmBluePink, text="Show images/movies with the original size (1)", variable=v, value=1)
rbt1.pack(side=tk.TOP, padx=2, pady=0, anchor=tk.W)
rbt2 = tk.Radiobutton(frmBluePink, text="Fit to screen: large images only (recommended) (2)", variable=v, value=2)
rbt2.pack(side=tk.TOP, padx=2, pady=0, anchor=tk.W)
rbt3 = tk.Radiobutton(frmBluePink, text="Fit to screen: all images/movies (3)", variable=v, value=3)
rbt3.pack(side=tk.TOP, padx=2, pady=0, anchor=tk.W)
# ---
frmBlueGreen = tk.LabelFrame(frmBlue, text="Set display multiplier (%):")
frmBlueGreen.pack(side=tk.RIGHT, fill=tk.BOTH, expand=tk.YES)
frmBlueGreen.columnconfigure(0, weight=1)
frmBlueGreen.columnconfigure(1, weight=1)
frmBlueGreen.rowconfigure(0, weight=1)
frmBlueGreen.rowconfigure(1, weight=1)
lblWidth = tk.Label(frmBlueGreen, text="Width:")
lblWidth.grid(row=0, column=0, sticky=tk.S+tk.E, padx=5, pady=5)
lblHeight = tk.Label(frmBlueGreen, text="Height:")
lblHeight.grid(row=1, column=0, sticky=tk.N+tk.E, padx=5, pady=5)
entWidth = tk.Entry(frmBlueGreen, width=8)
entWidth.grid(row=0, column=1, sticky=tk.S+tk.W, padx=5, pady=5)
entHeight = tk.Entry(frmBlueGreen, width=8)
entHeight.grid(row=1, column=1, sticky=tk.N+tk.W, padx=5, pady=5)
# end blue Form

# begin azure Form
frmAzure = tk.Frame(frmRight) 
frmAzure.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, padx=5, pady=5)
frmTmp = tk.Frame(frmAzure)
frmTmp.pack(side=tk.TOP, fill=tk.X, expand=tk.NO) 
chb1 = tk.Checkbutton(frmTmp, text="Horz. center image on screen (Hotkey: C)")
chb1.pack(side=tk.LEFT, fill=tk.X, expand=tk.NO)
chb2 = tk.Checkbutton(frmTmp, text="Vertical center")
chb2.pack(side=tk.RIGHT, anchor=tk.E)
# end azure Form

# begin pink Form
frmPink = tk.Frame(frmRight) 
frmPink.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, padx=5, pady=5)
lbl1 = tk.Label(frmPink, text="Screen color:")
lbl1.grid(row=0, column=0, sticky=tk.W)
lbl2 = tk.Label(frmPink, bg="black", width=20)
lbl2.grid(row=0, column=1, columnspan=3, sticky=tk.W+tk.E)
btn1 = tk.Button(frmPink, text="Choose")
btn1.grid(row=0, column=4, sticky=tk.W, padx=10)
# --- 
lbl3 = tk.Label(frmPink, text="Text font/color:")
lbl3.grid(row=1, column=0, sticky=tk.W)
lbl4 = tk.Label(frmPink, text="Courier New, Size 10", width=20)
lbl4.grid(row=1, column=1, columnspan=3, sticky=tk.W+tk.E)
# ---
p = tk.IntVar()
p.set(1)
rbt4 = tk.Radiobutton(frmPink, text="Top", variable=p, value=1)
rbt4.grid(row=3, column=1, sticky=tk.W)
# end pink Form

# end right Frame

root.mainloop()
