#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk
from tkinter import ttk

# Creating tkinter root
root = tk.Tk()
root.title("Benchmark")
w = 12
#-------------------------------------------------------------------------------
style = ttk.Style()                
style.theme_use("winnative") # switch the global style to winnative     
# set custom style of a combobox
style.map('tmp.TCombobox', selectbackground=[('readonly', 'gray95')])
style.map('tmp.TCombobox', selectforeground=[('readonly', 'black')])
style.map('tmp.TCombobox', fieldbackground=[('readonly','gray95')])
#-------------------------------------------------------------------------------
frmMain = tk.Frame(root)
frmMain.pack(side=tk.TOP, fill=tk.BOTH, expand=tk.YES, padx=8, pady=8)
#-------------------------------------------------------------------------------
frmB00 = tk.Frame(frmMain)
frmB00.columnconfigure(2, weight=1)
frmB00.pack(side=tk.TOP, fill=tk.X, expand=tk.NO)
# 1st column - labels
lbl1 = tk.Label(frmB00, text="Dictionary size:")
lbl1.grid(row=0, column=0, sticky=tk.W, rowspan=2)
lbl2 = tk.Label(frmB00, text="Number of CPU threads:")
lbl2.grid(row=2, column=0, sticky=tk.W)
# 2nd column - comboboxes
cmb1 = ttk.Combobox(frmB00, style="tmp.TCombobox", values=["32 MB", "16 MB", "8 MB"], width=10)
cmb1['state'] = 'readonly'
cmb1.grid(row=0, column=1, sticky=tk.W, rowspan=2, padx=8)
cmb1.current(0)
cmb2 = ttk.Combobox(frmB00, style="tmp.TCombobox", values=["16", "12", "10"], width=10)
cmb2['state'] = 'readonly'
cmb2.grid(row=2, column=1, sticky=tk.W, padx=8)
cmb2.current(0)
# 3rd column - info
lbl3 = tk.Label(frmB00, text="Memory usage:")
lbl3.grid(row=0, column=2, sticky=tk.W)
lbl4 = tk.Label(frmB00, text="3530 MB / 65487 MB")
lbl4.grid(row=1, column=2, sticky=tk.W)
lbl5 = tk.Label(frmB00, text="/ 16")
lbl5.grid(row=2, column=2, sticky=tk.W) 
# 4th column - buttons
btn1 = tk.Button(frmB00, text="Restart", width=w)
btn1.grid(row=0, column=3, sticky=tk.W, rowspan=2)
btn2 = tk.Button(frmB00, text="Stop", width=w, state=tk.DISABLED)
btn2.grid(row=2, column=3, sticky=tk.W)
#-------------------------------------------------------------------------------
frmB01 = tk.Frame(frmMain)
frmB01.columnconfigure(0, weight=1)
frmB01.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, pady=8)
# 1st row - labels
lbl6 = tk.Label(frmB01, text="Speed", width=w)
lbl6.grid(row=0, column=1, sticky=tk.E)
lbl7 = tk.Label(frmB01, text="CPU Usage", width=w)
lbl7.grid(row=0, column=2, sticky=tk.E)
lbl8 = tk.Label(frmB01, text="Rating / Usage", width=w)
lbl8.grid(row=0, column=3, sticky=tk.E)
lbl9 = tk.Label(frmB01, text="Rating", width=w)
lbl9.grid(row=0, column=4, sticky=tk.E)
# 2nd row - auxiliary inner (labeled) frame
frmB11 = tk.LabelFrame(frmB01, text="Compressing")
frmB11.columnconfigure(0, weight=1)
frmB11.grid(row=1, column=0, sticky=tk.W+tk.E, columnspan=5)
# 1st column - labels in auxiliary frame
lbl11 = tk.Label(frmB11, text="Current")
lbl11.grid(row=0, column=0, sticky=tk.W)
lbl12 = tk.Label(frmB11, text="Resulting")
lbl12.grid(row=1, column=0, sticky=tk.W)
# 2nd column - numbers in auxiliary frame
lbl13 = tk.Label(frmB11, text="61125 KB/s", width=w)
lbl13.grid(row=0, column=1, sticky=tk.E)
lbl14 = tk.Label(frmB11, text="61125 KB/s", width=w)
lbl14.grid(row=1, column=1, sticky=tk.E)    
lbl15 = tk.Label(frmB11, text="1506%", width=w)
lbl15.grid(row=0, column=2, sticky=tk.E)
lbl16 = tk.Label(frmB11, text="1505%", width=w)
lbl16.grid(row=1, column=2, sticky=tk.E)
lbl17 = tk.Label(frmB11, text="4634 MIPS", width=w)
lbl17.grid(row=0, column=3, sticky=tk.E)
lbl18 = tk.Label(frmB11, text="4637 MIPS", width=w)
lbl18.grid(row=1, column=3, sticky=tk.E)
lbl19 = tk.Label(frmB11, text="69790 MIPS", width=w)
lbl19.grid(row=0, column=4, sticky=tk.E)
lbl20 = tk.Label(frmB11, text="69790 MIPS", width=w)
lbl20.grid(row=1, column=4, sticky=tk.E)
#-------------------------------------------------------------------------------
root.mainloop()
