#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk    #imports the entire Tk package
from tkinter import ttk #import the ttk to create the treeview

class Application(tk.Frame): # App class inherits from Frame class
    def __init__(self, master=None):
        tk.Frame.__init__(self, master) # Calls constructor for the parent class
        # Make the app appear on the screen
        self.pack(fill="both", expand=1) 
        self.createWidgets()
        self.master.minsize(800, 500)
        
    def createWidgets(self):
        # begin Menu
        menu = ttk.Treeview(self, show="tree") # use the show option to remove the header
        menu.pack(side=tk.TOP)
        menu.insert("", "end", text="Layout") 
        menu.insert("", "end", "Display", text="Display", open=True)
        menu.insert("Display", 'end', text='Icons')
        menu.insert("Display", 'end', text='Font')
        menu.insert("", "end", "Operation", text="Operation", open=True)
        menu.insert("Operation", 'end', text='Thumbnails')        
        # end Menu
        
        self.style = ttk.Style()                
        self.style.theme_use("winnative") # switch the global style to winnative 
        
        # set custom style of a combobox
        self.style.map('tmp.TCombobox', selectbackground=[('readonly', 'gray95')])
        self.style.map('tmp.TCombobox', selectforeground=[('readonly', 'black')])
        self.style.map('tmp.TCombobox', fieldbackground=[('readonly','gray95')])
                                       
        # begin combobox tkk        
        self.combox = ttk.Combobox(self, width=60, style="tmp.TCombobox", values=["Alphabetical, considering accents", "Order by name"])
        self.combox['state'] = 'readonly'
        self.combox.pack(side=tk.TOP)
        self.combox.current(0)
        # end combobox tkk
      
        
root = tk.Tk()
app = Application(master=root) # Instantiating the App class
app.master.title("Configuration") # Sets the title of the window
app.mainloop() # Starts the app's main loop; waiting for mouse and keyboard events
