#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import tkinter as tk
import tkinter.ttk as ttk

def menuClicked(event):
    try:        
        item = menu.selection()[0]
        print("you clicked on {}".format(menu.item(item,"text")))
    except IndexError:
        pass


root = tk.Tk()
root.title("Configuration")

frmMain = tk.Frame(root)
frmMain.pack(side=tk.TOP, fill=tk.BOTH, expand=tk.YES)

# begin Menu
menu = ttk.Treeview(frmMain)
menu.pack(side=tk.LEFT, fill=tk.Y)
menu.insert("", "end", text="Layout") 
menu.insert("", "end", "Display", text="Display", open=True)
menu.insert("Display", 'end', text='Icons')
menu.insert("Display", 'end', text='Font')
menu.insert("", "end", "Operation", text="Operation", open=True)
menu.insert("Operation", 'end', text='Thumbnails')
menu.bind("<Button-1>", menuClicked)
# end Menu

# begin right Frame
frmRight = tk.Frame(frmMain)
frmRight.pack(side=tk.TOP, fill=tk.BOTH, expand=tk.YES)

lblTitle = tk.Label(frmRight, text="Thumbnails", bg="#99B4D1", relief=tk.SUNKEN, border=1, height=2)
lblTitle.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, padx=5)

frmGeneral = tk.LabelFrame(frmRight, text="Thumbnails: general")
frmGeneral.pack(side=tk.TOP, fill=tk.X, expand=tk.NO, padx=15)
frmGeneral.columnconfigure(0, weight=1)
lbl1 = tk.Label(frmGeneral, text="Database Location (leave empty to disable caching):")
lbl1.grid(row=0, column=0, sticky=tk.W)
ent1Var = tk.StringVar()
ent1Var.set("%$LOCAL_APPDATA%\GHISLER")
ent1 = tk.Entry(frmGeneral, textvariable=ent1Var)
ent1.grid(row=1, column=0, sticky=tk.W+tk.E)
btn1 = tk.Button(frmGeneral, text=">>")
btn1.grid(row=1, column=1, padx=5)
btn2 = tk.Button(frmGeneral, text="Default", width=8)
btn2.grid(row=1, column=2)
chk1Var = tk.BooleanVar()
chk1Var.set(True)
chk1 = tk.Checkbutton(frmGeneral, variable=chk1Var, text="Copy/delete thumbnails with files")
chk1.grid(row=2, column=0, sticky=tk.W)
chk2Var = tk.BooleanVar()
chk2Var.set(True)
chk2 = tk.Checkbutton(frmGeneral, variable=chk2Var, text="Show custom fields below thumbnails (e.g. image size):")
chk2.grid(row=3, column=0, sticky=tk.W)
ent2 = tk.Entry(frmGeneral, textvariable=ent1Var)
ent2.grid(row=4, column=0, sticky=tk.W+tk.E)
btn3 = tk.Button(frmGeneral, text="Add...")
btn3.grid(row=4, column=1, columnspan=2, padx=5, sticky=tk.W)

# end right Frame


# begin Buttons Frame
frmButtons = tk.Frame(frmMain)
frmButtons.pack(side=tk.BOTTOM, fill=tk.X, pady=5)
btnApply = tk.Button(frmButtons, text="Apply", state=tk.DISABLED, width=8)
btnApply.pack(side=tk.RIGHT, padx=5)
btnHelp = tk.Button(frmButtons, text="Help", width=8)
btnHelp.pack(side=tk.RIGHT, padx=5)
# ...
# end Buttons Frame

root.mainloop()
